import Layout from '@/layout';

const deviceRoutes = {
  path: '/device',
  component: Layout,
  redirect: '/device/index',
  name: 'Devices',
  alwaysShow: true,
  meta: {
    title: '设备管理',
    icon: 'device',
    permissions: ['view menu administrator'],
  },
  children: [
    {
      path: 'device',
      component: () => import('@/views/device/index'),
      name: 'Device',
      meta: { title: '设备列表', icon: 'devicelist', permissions: ['manage device'] },
    },
    {
      path: 'categories',
      component: () => import('@/views/device/categories'),
      name: 'Categories',
      meta: { title: '设备分类', icon: 'tree-table', permissions: ['manage categories'] },
    },
    {
      path: 'DeviceStutus',
      component: () => import('@/views/device/devicedtutus'),
      name: 'DeviceStutus',
      meta: { title: '设备废纸篓', icon: 'devicestutus', permissions: ['manage user'] },
    },
  ],
};
export default deviceRoutes;
